Webhook Uç Noktası Oluştur
POST
/v1/stores/{storeId}/webhooksCoreBir mağaza için webhook uç noktası kaydeder. İmzalama gizli anahtarı yalnızca bir kez döndürülür. Kvell, her teslimatı X-Kvell-Signature: sha256=<bu gizli anahtar kullanılarak ham gövde üzerinden hesaplanan hex HMAC-SHA256> olarak imzalar.
Kimlik Doğrulama
İmza Deseni
Dashboard JWT bearer (not the HMAC public API).| Başlık | Değer | Açıklama |
|---|---|---|
Authorization | Bearer {jwt} | Merchant dashboard JWT (from /v1/auth/login) |
Content-Type | application/json | Request content type |
İstek Parametreleri
| Ad | Tür | Zorunlu | Açıklama |
|---|---|---|---|
url | string | Zorunlu | HTTPS URL to deliver events to |
eventTypes | array | İsteğe Bağlı | Event types to receive (e.g. ["payment.captured"]) |
İstek Örneği
JSONİstek Gövdesi
{
"url": "https://merchant.example.com/kvell/webhook",
"eventTypes": [
"payment.captured",
"payment.refunded",
"payout.succeeded"
]
}Yanıt Parametreleri
| Alan | Tür | Örnek |
|---|---|---|
id | string | "whe_9a2e6b4d4e8a" |
merchantId | string | "mrc_8a1b2c3d4e5f" |
url | string | "https://merchant.example.com/kvell/webhook" |
secret | string | "whsec_2b3c4d5e6f708192a3b4c5d6" |
eventTypes | array | ["payment.captured","payment.refunded","p… |
active | boolean | true |
status | string | "active" |
createdAt | string | "2026-04-13T10:00:00Z" |
Yanıt Örneği
JSONYanıt
{
"id": "whe_9a2e6b4d4e8a",
"merchantId": "mrc_8a1b2c3d4e5f",
"url": "https://merchant.example.com/kvell/webhook",
"secret": "whsec_2b3c4d5e6f708192a3b4c5d6",
"eventTypes": [
"payment.captured",
"payment.refunded",
"payout.succeeded"
],
"active": true,
"status": "active",
"createdAt": "2026-04-13T10:00:00Z"
}Durum Kodları
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
DeneSahte
POSThttps://api.pay.sandbox.kvell.group